# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header$
# copied from dev-embedded/avr-gcc

ECVS_SERVER="mspgcc.cvs.sourceforge.net:/cvsroot/mspgcc"
ECVS_MODULE="gcc/gcc-3.3"

inherit cvs

IUSE="nls"

MY_P=${P/msp430-/}
MY_FILE=${PN/msp430-/}-core-$PV
S=${WORKDIR}/${MY_P}
DESCRIPTION="The GNU C compiler for the MSP430 microcontroller architecture"
HOMEPAGE="http://mspgcc.sourceforge.net/"
SRC_URI="http://ftp.gnu.org/gnu/gcc/${MY_P}/${MY_FILE}.tar.bz2"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~x86 ~amd64"

DEPEND="sys-libs/glibc
	dev-embedded/msp430-binutils"

src_unpack() {
	unpack ${A}
	cvs_src_unpack
	cp -r ${WORKDIR}/${ECVS_MODULE}/* ${WORKDIR}/${MY_P}
}

src_compile() {
	econf \
		--target=msp430 \
		--enable-languages=c \
		`use_enable nls` || die

	emake || die
}

src_install() {
	einstall || die
}
