# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header$
# adapted from dev-embedded/avr-gcc

ECVS_SERVER="mspgcc.cvs.sourceforge.net:/cvsroot/mspgcc"
ECVS_MODULE="gdb/gdb-current"

inherit cvs

IUSE="nls"

MY_P=${P/msp430-/}
S=${WORKDIR}/${MY_P}
DESCRIPTION="The GNU debugger for the MSP430 microcontroller architecture"
HOMEPAGE="http://mspgcc.sourceforge.net/"
SRC_URI="ftp://ftp.informatik.rwth-aachen.de/pub/gnu/gdb/${MY_P}.tar.bz2"

SLOT="0"
LICENSE="GPL-2 LGPL-2"
KEYWORDS="~x86 ~amd64"

DEPEND=">=sys-libs/ncurses-5.2-r2
	nls? ( sys-devel/gettext )"

src_unpack() {
	unpack ${A}
	cvs_src_unpack
	cp -r ${WORKDIR}/${ECVS_MODULE}/* ${WORKDIR}/${MY_P}
}

src_compile() {
	econf \
		--target=msp430 \
		`use_enable nls` || die

	emake || die
}

src_install() {
	einstall || die
}
