# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header$
# adapted from dev-embedded/avr-libc

ECVS_SERVER="mspgcc.cvs.sourceforge.net:/cvsroot/mspgcc"
ECVS_MODULE="jtag"

inherit cvs

IUSE="nls"
MAKEOPTS="-j1" # parallel make breaks compiling ...

DESCRIPTION="JTAG access library for the MSP430 microcontroller architecture"
HOMEPAGE="http://mspgcc.sourceforge.net/"
S=${WORKDIR}/${ECVS_MODULE}

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~x86 ~amd64"

DEPEND="dev-embedded/msp430-gcc
		dev-embedded/msp430-libc"

src_unpack() {
	cvs_src_unpack
}

src_compile() {
	epatch ${FILESDIR}/makefile.patch
	epatch ${FILESDIR}/locka.patch
	emake || die
}

src_install() {
	mkdir -p ${D}usr/lib
	cp hardware_access/libHIL.so ${D}usr/lib/
	ldconfig
}
