# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header$
# adapted from dev-embedded/avr-libc

ECVS_SERVER="mspgcc.cvs.sourceforge.net:/cvsroot/mspgcc"
ECVS_MODULE="python"

inherit cvs

IUSE="nls"
MAKEOPTS="-j1" # parallel make breaks compiling ...

DESCRIPTION="JTAG access library for the MSP430 microcontroller architecture"
HOMEPAGE="http://mspgcc.sourceforge.net/"
S=${WORKDIR}/${ECVS_MODULE}

DESTTREE="/usr/local"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~x86 ~amd64"

DEPEND="dev-embedded/msp430-gcc
		dev-embedded/msp430-libc
		dev-embedded/msp430-jtag
		<=dev-python/ctypes-0.9.9.6"

src_unpack() {
	cvs_src_unpack
}

src_compile() {
#	epatch ${FILESDIR}/makefile.patch
#	epatch ${FILESDIR}/locka.patch
#	epatch ${FILESDIR}/locka_progFlash.patch
	emake || die
	
}

src_install() {
	mkdir -p ${DESTTREE}/lib
	newbin msp430-bsl.py msp430-bsl
	newbin msp430-jtag.py msp430-jtag
	newbin msp430-ram-usage.py msp430-ram-usage
	newbin titext2ihex.py titext2ihex
	newbin ihex2titext.py ihex2titext
	ldconfig
}

pkg_postinst() {
	cd ${DISTDIR}/cvs-src/python
	pwd
	python setup.py install
}

